(** Data structure for an MP2 calculation *)

(**
  * let mp2 =
  *   Perturbation.Mp2.make ~frozen_core:(Mo.Frozen_core.(make Small nuclei)) mo_basis
  *   ;;
  * val mp2 : Perturbation.Mp2.t = E(MP2)=-0.185523
  *
  *)


(** Type *)

type t


(** Creation *)

val make : frozen_core:Mo.Frozen_core.t -> Mo.Basis.t -> t


(** Access *)

val energy      : t -> float
(* Returns the MP2 energy *)

val mo_basis    : t -> Mo.Basis.t
(* Returns the MO basis on which the MP2 energy was computed *)

val frozen_core : t -> Mo.Frozen_core.t
(* Returns the frozen_core scheme used to compute the MP2 energy *)


(** Printers *)

val pp : Format.formatter -> t -> unit
